#!/bin/sh

set -eux

# Prepare source code
make all;
# Rollback fix for replication
cd Percona-Server-5.5.17-rel21.0; 
quilt pop;
cd ..;
# Prepare out-of-source build
make cmake;
# Build release
cd *-release;
make -j5;
cd mysql-test;
# Test without fix
./mysql-test-run percona_bug_53375 --mysqld=--binlog_format=row
# Apply fix
(cd ../../Percona-Server-5.5.17-rel21.0; quilt push)
# Rebuild release
(cd ..; make -j5)
# Test with fix
./mysql-test-run percona_bug_53375 --mysqld=--binlog_format=row
